Subject: Re: bug#20891: emacs: Back off if .doc is not an Office document

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 09 Nov 2019 21:14:52 +0100

Eli Zaretskii <[email-masked]> writes:

>> I don't think it'd be any performance problem -- we'd just have to read
>> the first 8 bytes of the file to see whether the magic sequence is there.
>
> *.doc files are rare nowadays.  Do the *.docx files have the same
> signature?  I doubt that, since they are actually *.zip files in
> disguise.

Yeah, *.docx have a different signature, so this would be for *.doc files
only (and since the Windows *.doc files are becoming rarer, perhaps that
means that doing doc-view only on files that have the magic bytes is
more important than it used to be).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no